Wikimedia Hackathon 2017: Collect Changes as they come
Closed, ResolvedPublic

Description

If you have any suggestions for improvements for the next hackathon or another technical event please record them here. Organizers and participants are welcome to contribute to this task. We want to improve!! :)

Rfarrand created this task.May 19 2017, 7:24 AM
Qgil triaged this task as Normal priority.

Wikimedia Commons Logo is flipped on the stickers

Annemarie suggesting having multiple registration forms - one for registration, one for scholarships, and one for housing.

Elitre added a subscriber: Elitre.May 19 2017, 11:28 AM

Not only the Commons logo. Wikivoyage one is also affected, the Wiktionary one is not the on wiktionary.org (at least). There may be more.

Check questions on talk pages - maybe points to info you'd better highlight next year. Second, centralize talk pages so that you only have to follow one.

11:30 <anomie> We have nice little dry erase table placards, but I see no erasers.

From Moriel: Suggest to have a dedicated room for mentors&mentees, to allow easier location of people.

You could use a little game/ceremony to match people after the opening, if you don't do that already.
Related: looks like the mentoring system is using t-shirts. Then you probably don't need the dyno/baby dyno stickers, which were meant to signal whether one is experienced vs newbie, unless you're using that outside the "buddies" project, that is.

More pictures for public transport from airport to city: cat VS train was easy to miss in a hurry, pictures would have helped.

Childcare: provide more info for parents. These are the days / hours / ratio, name of agency etc, so parents can prepare.

  • Quick meeting times on the schedule. Give folks time to move between sessions

Request at help desk for good local tattoo artist recommendations.

Reedy added a subscriber: Reedy.May 20 2017, 10:28 AM

Thought this ended up on a list after previous events...

  • Freenode should be notified of events, and provided IP address(es) to raise IP cap to allow people to get onto IRC
  • Wikimedia should be informed, and provided IP address(es) to add throttle exception so new users can create accounts

Feedback from Hugo:
Make daily announcements (maybe after breakfast or around noon) and remind people of the skill share and other options avialiable for connecting / collaborating

Telegram -
Make it a supergroup from the beginning
Also we need two channels for attendees. One for social and one for for announcements

The room names are tough for everyone to remember - next time room names should be more universally pronounceable and memorizable

Requests for more available recycle and trash bins.

sonkiki added a comment.EditedMay 21 2017, 10:50 AM

WMAT (or respective organizing chapter):
Have a designated person to

  • post social media updates (twitter, Facebook, maybe blog), incl. retweets.
  • collect/ document press clippings (and journalist contacts).

Not a very intense task, but time consuming as it has to be done constantly/ latently, and organizing team involved in program will most likely have no time.
Could be done by a volunteer who is into media!

To prepare the show case, have a paper with instructions, distributed one hour before. It should have a place on it to write the points people are going to present.

Request that the smoking area not be directly in front of the main entrance. The opening and closing of the automatic doors create a constant flow into the main shared space.

Feedback from Renate: wash tshirts before handing out or offer dry cleaning service

Is there a list somewhere featuring "stuff you may want to do as a distraction from everything else"? For example, on IRC I mentioned https://www.mediawiki.org/wiki/Parsoid/Language_conversion/Preprocessor_fixups/20170501 which isn't necessarily a "hacking" thing, but could also be used to learn useful things (as fixes could also be applied via AWB, which is a bit of an advanced tool).

Reedy added a comment.May 23 2017, 8:30 AM

Because I don't know how to adult and look after myself... I've managed to give myself quite bad back pain over the weekend from being hunched over a laptop. This isn't good for driving and having to look over your shoulder etc

@Quiddity gave me an exercise/stretch sheet on Monday when it started, which does help a bit.

I'm already susceptible to this, and usually a trip to the osteopath usually quickly solves this. Luckily, my transit hotel heading north has a sauna. Which helped last night, but it's not good again this morning.

From comments made by a couple of other people, I know I'm not the only one

I'm honestly not sure how you can solve/prevent this at a hackathon. Obviously, we can't have proper chairs and desks for everyone

  • Just remind people to stretch, move around and sit properly?
    • Could we have a session or two from someone about this? Telling people about ergonomics? Does the WMF have someone on staff with this knowledge?
  • Something to elevate laptops to a better working height? (Also remind people to bring keyboards/mice to use?)
  • Or even have someone to do short massages or similar? (Noting, I would pay for this if it was offered)

(Someone's already working on https://meta.wikimedia.org/wiki/Events/Accessibility, which should eventually be followed by event organizers.)

A question that I have after hearing Chris' report. Is it really necessary to have a 1:1 buddy system? Maybe experienced people could even "look after" 2 newbies instead?

A question that I have after hearing Chris' report. Is it really necessary to have a 1:1 buddy system? Maybe experienced people could even "look after" 2 newbies instead?

Not sure where to find "Chris' report" and I am not aware of a 1:1 buddy system...
There were mentors (maybe that is meant?), and iirc we had more mentors than newcomers interested in getting mentored. :)

Changes we are making for Wikimania based on this feedback:

  • Mentoring area (corner) in main room
  • Making sure that freenode has our IP addresses
  • Ergonomic literature at the help desk
  • Template for the showcase that people can use to help themselves present
  • Two telegram channels for attendees instead of one (social and hack-related)
  • @siebrand and I will make an announcement on the second morning of the event (welcome and reminders)
  • We will use "quick meeting" times so that people have time to move between sessions.
  • the name badge stickers logos will be flipped so that they are accurate

Closing this task - hackathon is over, this task will be linked from hackathon documentation and relevant ideas are carried over to Wikimania Hack.
Thank you to everyone who contributed to this task! :)

Rfarrand closed this task as Resolved.Jun 27 2017, 8:05 PM
KRLS added a subscriber: KRLS.Jun 28 2017, 9:43 AM